Subject: bug#40651: 26.3; eshell using (fn param) syntax breaks lookups

From: Jim Porter <[email-masked]>
Date: Mon, 23 May 2022 15:35:43 -0700

On 5/23/2022 4:12 AM, Lars Ingebrigtsen wrote:
> I vaguely seem to remember something like this being fixed in recent
> Emacs versions, but I may well be misremembering.  Do you still see this
> problem in a recent Emacs version like Emacs 28.1?

Trying this out myself, it appears to be fixed in 29, but not 28. I'm 
testing with company 0.9.13 (the latest release in GNU ELPA). From the 
Github issue, it seems that some workarounds were added to company, but 
0.9.13 predates that, so I think this is fixed for real in Emacs.